﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Spread_Win_Formula
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: 这行代码将数据加载到表“formuladataDataSet.Sheet1”中。您可以根据需要移动或删除它。
            this.sheet1TableAdapter.Fill(this.formuladataDataSet.Sheet1);
            this.formulaTextBox1.Attach(this.fpSpread1);
            this.SetFormla();
            this.InitSpread();

        }

        private void InitSpread()
        {
            this.fpSpread1.Sheets[0].ColumnHeader.Rows[0].Font = new Font("微软雅黑", 9, FontStyle.Bold);

            for (int i = 0; i < this.fpSpread1.ActiveSheet.ColumnCount; i++)
            {
                this.fpSpread1.ActiveSheet.Columns[i].Width = 100;
            }
            this.fpSpread1.ActiveSheet.Columns[5].Width = 150;
            this.fpSpread1.ActiveSheet.Columns[6].Width = 150;

            this.fpSpread1.ActiveSheet.RowCount = 38;

            this.fpSpread1.ActiveSheet.Cells[0, 5, 32, 6].BackColor = Color.LightSeaGreen;

            this.fpSpread1.ActiveSheet.AllowNoteEdit = true;
            this.fpSpread1.ActiveSheet.Cells[0, 5].NoteStyle = FarPoint.Win.Spread.NoteStyle.StickyNote;
            this.fpSpread1.ActiveSheet.Cells[0, 5].NoteIndicatorPosition = FarPoint.Win.Spread.NoteIndicatorPosition.TopLeft;
            this.fpSpread1.ActiveSheet.Cells[0, 5].NoteIndicatorSize = new Size(2, 2);
            this.fpSpread1.ActiveSheet.Cells[0, 5].Note = "灰色背景区域用于计算债券相关数据，点击单元格可在公式栏查看公式信息";
        }

        private void SetFormla()
        {
            this.fpSpread1.ActiveSheet.Columns[5].Formula = "RECEIVED(A1,B1,C1,D1,E1)";
            this.fpSpread1.ActiveSheet.Columns[6].Formula = "TBILLPRICE(A1,B1,D1)";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            FarPoint.Win.Spread.FormulaEditorUI formulaEditor = new FarPoint.Win.Spread.FormulaEditorUI(this.fpSpread1.Sheets[0]);
            formulaEditor.ShowDialog();
        }
    }
}
